@use "card";
@import "_global.scss";

.politician-card-group {
    flex-wrap: wrap;
    flex-direction: column;
    height: 100vw;
}

.politician-instance-container {
    .card {
        margin: 0.5rem;
        .card-header {
            font-weight: 700;
        }
    }

    .summary-header {
        font-weight: 700;
        width: 45%;
        min-width: 45%;
        color: gray;
    }

    .summary-content {
        display: flex;
        align-items: center;
    }

    .map-container {
        height: 15vw;
    }
}

@include media-breakpoint-down(sm) {
    .politician-card-group {
        flex-wrap: nowrap;
        height: auto;
    }
}

@include media-breakpoint-up(lg) {
    .politician-card-wrap {
        width: 25%;
    }
    .politician-card-group {
        flex-wrap: wrap;
        // height: 100vh;
    }
}

@include media-breakpoint-up(xxl) {
    .politician-card-wrap {
        width: 20%;
    }
}
